libmpcdec6_0.1~r495-1+b2_i386.deb


Advertisement

Description

libmpcdec6 - MusePack decoder - library

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libmpcdec6_0.1~r495-1+b2_i386.deb
Package name libmpcdec6
Package version 0.1~r495
Package release 1+b2
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage http://www.musepack.net
License -
Maintainer Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Download size 33.73 KB
Installed size 88.00 KB
Musepack is an audio compression format with a strong emphasis on
high quality. It's not lossless, but it is designed for transparency,
so that you won't be able to hear differences between the original
wave file and the much smaller MPC file.
It is based on the MPEG-1 Layer-2 / MP2 algorithms, but since 1997
it has rapidly developed and vastly improved and is now at an advanced
stage in which it contains heavily optimized and patentless code.

Alternatives

Package Version Architecture Repository
libmpcdec6_0.1~r495-1+b2_amd64.deb 0.1~r495 amd64 Debian Main
libmpcdec6 - - -

Requires

Name Value
libc6 >= 2.4

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmpcdec6_0.1~r495-1+b2_i386.deb
Source Package libmpc

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmpcdec6 deb package:
    # sudo apt-get install libmpcdec6

Files

Path
/usr/lib/i386-linux-gnu/libmpcdec.so.6
/usr/lib/i386-linux-gnu/libmpcdec.so.6.1.0
/usr/share/doc/libmpcdec6/changelog.Debian.gz
/usr/share/doc/libmpcdec6/changelog.Debian.i386.gz
/usr/share/doc/libmpcdec6/copyright

Changelog

2016-09-12 - Sebastian Ramacher <sramacher@debian.org>
libmpc (2:0.1~r495-1) unstable; urgency=medium
* Team upload.
* New upstream release. (Closes: #837096)
* debian/rules: Add get-orig-source target to fetch newer upstream
snapshots.
* debian/patches:
- 02_link-libm.patch, 1001_missing_extern_kw.patch: Removed, included
upstream.
- 03_mpcchap.patch: Refreshed and fixed use of cue_parse_file.
2016-08-31 - James Cowgill <jcowgill@debian.org>
libmpc (2:0.1~r475-2) unstable; urgency=medium
* Team upload.
* Drop all DEB_AUTO_UPDATE_* stuff and use dh-autoreconf exclusively to fix
FTBFS. (Closes: #816529)
* Update Vcs fields.
* Bump standards to 3.9.8.
2015-09-19 - Sebastian Dröge <slomo@debian.org>
libmpc (2:0.1~r475-1) unstable; urgency=medium
* New upstream release:
- Contains a minor API change of removing some enum values that
are not used anywhere in Debian.
* debian/patches/05_visibility.patch:
- Minor build system fix to declare HAVE_VISIBILITY.
2014-03-22 - Neil Williams <codehelp@debian.org>
libmpc (2:0.1~r459-4.1) unstable; urgency=low
[ Hideki Yamane ]
* Non-maintainer upload.
- auto detect aclocal/automake/autoconf version (Closes: #713209)
- include autoreconf.mk to add "config/compile" file
* debian/control
- add "Build-Depends: dh-autoreconf" to provide above autoreconf.mk
* debian/patches
- add add_subdir-objects.patch for automake
2012-06-21 - Alessio Treglia <alessio@debian.org>
libmpc (2:0.1~r459-4) unstable; urgency=medium
* Team upload.
* Bump urgency to medium as RC #665974 affects wheezy.
* Avoid re-define mpc_uint8_t, MPC_SAMPLE_FORMAT and mpc_int16_t in
libmpcdec/requant.h, they are defined somewhere else in the code;
patch taken from upstream trunk. (Closes: #665974)
Thanks to Han Boetes for the report and Fabian Greffrath for
traging the bug.
2012-06-17 - Alessio Treglia <alessio@debian.org>
libmpc (2:0.1~r459-3) unstable; urgency=low
* Team upload.
* Fix buildsystem to avoid FTBFS with --as-needed.
Thanks to Stefan Potyra for the patch. (Closes: #606829)
* Run autotools' stuff before configure to regenerate the buildsystem.
- Drop 99_autoreconf.patch.
- Build-Depends on gnulib, auto{conf,make} libtool.
* Bump Standards.
2012-02-15 - Alessio Treglia <alessio@debian.org>
libmpc (2:0.1~r459-2) unstable; urgency=low
* Team upload.
* Update maintainer information.
* Add watch file.
* Build for Multiarch.
* Bump Standards.
2010-05-31 - Sebastian Dröge <slomo@debian.org>
libmpc (2:0.1~r459-1) unstable; urgency=low
* New upstream SVN snapshot.
* debian/control,
debian/compat,
debian/source/format,
debian/rules:
+ Update to source format 3.0 (quilt).
+ Update to debhelper compat level 7.
+ Update Standards-Version to 3.8.4.
* debian/patches/01_am-maintainer-mode.patch:
+ Enable automake maintainer mode.
* debian/patches/03_mpcchap.patch,
debian/rules:
+ Enable mpcchap tool and build it against libcue.
* debian/patches/99_autoreconf.patch:
+ Regenerate autotools files for the above patches.
2009-10-20 - Sebastian Dröge <slomo@debian.org>
libmpc (2:0.1~r453-1) unstable; urgency=low
* New upstream SVN snapshot:
+ debian/patches/01_no-mpcchap.patch:
- Dropped, not necessary anymore.
+ debian/patches/02_link-libm.patch:
- Updated to apply cleanly again.
* Upload to unstable.
* debian/control:
+ Updated Standards-Version to 3.8.3.
2009-07-11 - Sebastian Dröge <slomo@debian.org>
libmpc (2:0.1~r444-1) experimental; urgency=low
* New upstream SVN snapshot with some minor bugfixes.
* debian/control:
+ Fix indention of the description (Closes: #519962).
+ Updated Standards-Version to 3.8.2.

See Also

Package Description
libmpd-dev_0.20.0-3_i386.deb High-level client library for accessing Music Player Daemon
libmpd1_0.20.0-3_i386.deb High-level client library for accessing Music Player Daemon
libmpdclient-dev_2.16-1_i386.deb client library for the Music Player Daemon (development files)
libmpdclient-doc_2.16-1_all.deb client library for the Music Player Daemon (API documentation)
libmpdclient2_2.16-1_i386.deb client library for the Music Player Daemon
libmpdec-dev_2.4.2-2_i386.deb library for decimal floating point arithmetic (development files)
libmpdec-doc_2.4.2-2_all.deb library for decimal floating point arithmetic (documentation)
libmpdec2_2.4.2-2_i386.deb library for decimal floating point arithmetic (runtime library)
libmpeg2-4-dev_0.5.1-8_i386.deb libmpeg2 development libraries and headers
libmpeg2-4_0.5.1-8_i386.deb MPEG1 and MPEG2 video decoder library
libmpeg2encpp-2.1-0_2.1.0+debian-5_i386.deb MJPEG capture/editing/replay and MPEG encoding toolset (library)
libmpeg3-2_1.8.dfsg-2.1_i386.deb MPEG streams decoding library
libmpeg3-dev_1.8.dfsg-2.1_i386.deb Headers and static libraries for libMPEG3
libmpfi-dev-common_1.5.3+ds-2_all.deb multiple precision floating-point interval computation library -- headers
libmpfi-dev_1.5.3+ds-2_i386.deb multiple precision floating-point interval computation library -- libdev
Advertisement
Advertisement